Skip to main content
`Ctrl`+`K`

# MatLMVMDenseSetType

Sets the memory storage type for dense `MATLMVM`

## Synopsis

    #include "petscksp.h"
    PetscErrorCode MatLMVMDenseSetType(Mat B, MatLMVMDenseType type)

## Input Parameters

- B - the `MATLMVM` matrix

- type - scale type, see `MatLMVMDenseSetType`

## Options Database Keys

- -mat_lqn_type <reorder,inplace> - set the strategy

- -mat_lbfgs_type <reorder,inplace> - set the strategy

- -mat_ldfp_type <reorder,inplace> - set the strategy

MatLMVMDenseTypes:

- `MAT_LMVM_DENSE_REORDER` - reorders memory to minimize kernel launch

- `MAT_LMVM_DENSE_INPLACE` - launches kernel inplace to minimize memory movement

## See Also

KSP: Linear System Solvers, `MATLMVMDQN`, `MATLMVMDBFGS`, `MATLMVMDDFP`, `MatLMVMDenseType`

## Level

intermediate

## Location

src/ksp/ksp/utils/lmvm/dense/denseqn.c

Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages